# [configuration_]
[configuration]
# Number of threads OpenEXR should use for reading and decompression. A value
# of 1 performs reading and decompression serially in the calling thread, 2
# adds one additional worker thread for decompression, etc. 0 sets it to the
# value returned by std::thread::hardware_concurrency().
#
# Note that while the amount of threads can be controlled per-file, OpenEXR
# has a global thread pool and its size will remain at the largest set value
# until the plugin is unloaded. OpenExrImageConverter shares the same thread
# pool.
threads=1

# Import channels of given layer
layer=

# Mapping of channel names to output image channels. All channels have to
# have the same type; empty names will cause that channel to not be imported
# at all, leaving the memory zeroed out. See also forceChannelCount.
r=R
g=G
b=B
a=A

# If the file doesn't contain any of the channel names specified in r, g, b
# or a, depth is tried instead, in which case it's expected to be a 32-bit
# float and is imported as PixelFormat::Depth32F.
depth=Z

# If any of the channels specified in r, g, b, a don't exist, they will be
# filled with the following values.
rFill=0.0
gFill=0.0
bFill=0.0
aFill=1.0

# Override channel count for RGBA. Allowed values are 0-4, with zero being
# the default where channel count corresponds to the last name in r, g, b, a
# that exists. So for example if a file has only R and B channels, it's
# imported as RGB with G filled with the gFill value.
forceChannelCount=0

# Override channel type for RGBA. Allowed values are FLOAT, HALF and UINT,
# empty value performs no conversion.
forceChannelType=
# [configuration_]
